## LassoLibStatusResponse

LassoLibStatusResponse — <lib:StatusResponse>

## Functions

LassoNode * | lasso_lib_status_response_new ()

## Types and Values

struct | LassoLibStatusResponse

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSamlpResponseAbstract
                ╰── LassoLibStatusResponse
                    ├── LassoLibLogoutResponse
                    ╰── LassoLibRegisterNameIdentifierResponse

## Description

Figure 19. Schema fragment for lib:StatusResponse

    <xs:complexType name="StatusResponseType">
      <xs:complexContent>
        <xs:extension base="samlp:ResponseAbstractType">
          <xs:sequence>
            <xs:element ref="Extension" minOccurs="0" maxOccurs="unbounded"/>
            <xs:element ref="ProviderID"/>
            <xs:element ref="samlp:Status"/>
            <xs:element ref="RelayState" minOccurs="0"/>
          </xs:sequence>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

    <xs:element name="ProviderID" type="md:entityIDType"/>
    <xs:element name="RelayState" type="xs:string"/>

## Functions

### lasso_lib_status_response_new ()

    LassoNode *
    lasso_lib_status_response_new (void);

Creates a new LassoLibStatusResponse object.

#### Returns

a newly created LassoLibStatusResponse object

## Types and Values

### struct LassoLibStatusResponse

    struct LassoLibStatusResponse {
    	/* <xs:element ref="Extension" minOccurs="0" maxOccurs="unbounded"/> */
    	GList *Extension; /* of xmlNode* */
    	/* <xs:element ref="ProviderID"/> */
    	char *ProviderID;
    	/* <xs:element ref="samlp:Status"/> */
    	LassoSamlpStatus *Status;
    	/* <xs:element ref="RelayState" minOccurs="0"/> */
    	char *RelayState;
    };